# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "beamer-au"
version = "0.2.0"
build = "build.rs"
links = "beamer_au_native"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Audio Unit support for Beamer audio plugin framework (hybrid v2/v3 architecture)"
readme = "README.md"
keywords = [
    "audio",
    "plugin",
    "au",
    "audiounit",
    "music",
]
categories = ["multimedia::audio"]
license = "MIT"
repository = "https://github.com/helpermedia/beamer"

[features]
default = []
sysex-heap-fallback = ["beamer-core/sysex-heap-fallback"]

[lib]
name = "beamer_au"
path = "src/lib.rs"

[dependencies.beamer-core]
version = "0.2.0"

[dependencies.log]
version = "0.4"

[build-dependencies.cc]
version = "1.0"
